Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.naming
Class ObjectProxy

    java.lang.Object
      |
      +--com.caucho.naming.ObjectProxy

public class ObjectProxy
extends java.lang.Object

An object proxy for a foreign JNDI factory.

Field Summary
`protected javax.naming.Context` | `context`
`protected javax.naming.spi.InitialContextFactory` | `factory`
`protected java.lang.String` | `name`
`protected java.util.Properties` | `props`

Constructor Summary
`ObjectProxy(javax.naming.Context context, java.lang.String name)` Creates a new ObjectProxy.
`ObjectProxy(javax.naming.spi.InitialContextFactory factory, java.util.Properties props, java.lang.String name)` Creates a new ObjectProxy.

Method Summary
`java.lang.Object` | `create()` Creates the object from the proxy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected javax.naming.spi.InitialContextFactory factory

### props

    protected java.util.Properties props

### context

    protected javax.naming.Context context

### name

    protected java.lang.String name

Constructor Detail

### ObjectProxy

    public ObjectProxy(javax.naming.spi.InitialContextFactory factory,
                       java.util.Properties props,
                       java.lang.String name)
                throws javax.naming.NamingException

  Creates a new ObjectProxy.
  Parameters:
    `factory` - the foreign factory
    `props` - the properties for the object
    `name` - the jndi-link path in the foreign namespace

### ObjectProxy

    public ObjectProxy(javax.naming.Context context,
                       java.lang.String name)
                throws javax.naming.NamingException

  Creates a new ObjectProxy.
  Parameters:
    `context` - the context
    `name` - the jndi-link path in the foreign namespace

Method Detail

### create

    public java.lang.Object create()
                            throws javax.naming.NamingException

  Creates the object from the proxy.
  Returns:
    the object named by the proxy.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD